<sqtm-core-creation-dialog
  (add)="addEntity()"
  (addAnother)="addAnother()"
  [asyncTaskRunning]="loading$ | async"
  [attr.data-test-dialog-id]="'new-entity'"
>
  <div class="m-10" [formGroup]="formGroup">
    <div class="sqtm-core-dialog-form">
      <label class="label label__align_left">{{
        'sqtm-core.entity.generic.name.label' | translate
      }}</label>
      <sqtm-core-text-field
        [initialFocus]="true"
        [formGroup]="formGroup"
        [fieldName]="'name'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-text-field>
      <label class="label label__align_left"
        >{{ 'sqtm-core.entity.custom-field.input-type.label' | translate }}
        <i
          nz-icon
          nzType="sqtm-core-generic:help"
          nzTheme="outline"
          nz-tooltip
          [nzTooltipTitle]="
            'sqtm-core.entity.environment-variable.tooltip.type' | translate
          "
          class="current-workspace-button tooltip-icon table-icon-size"
        >
        </i>
      </label>
      <sqtm-core-select-field
        [formGroup]="formGroup"
        [fieldName]="'evInputType'"
        [options]="evInputTypeOptions"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-select-field>
    </div>
    @if (isDropdownList) {
      <ng-container [formGroup]="dropdownListFormGroup">
        <label class="block-title">{{
          'sqtm-core.entity.option.label.plural' | translate
        }}</label>
        <div class="block-border m-t-10">
          <div class="full-column-span sqtm-core-dialog-form">
            <label class="label label__align_right">{{
              'sqtm-core.entity.generic.name.label' | translate
            }}</label>
            <sqtm-core-text-field
              [initialFocus]="true"
              [formGroup]="dropdownListFormGroup"
              [fieldName]="'dropdownListOptionLabel'"
              [serverSideFieldValidationError]="serverSideValidationErrors"
            >
            </sqtm-core-text-field>

            <button
              style="width: max-content"
              class="grid-column-start-2"
              [attr.data-test-dialog-button-id]="'add-option'"
              nz-button
              nzType="primary"
              (click)="addEnvironmentOption()"
            >
              {{ 'sqtm-core.entity.custom-field.add-option.label' | translate }}
            </button>
          </div>
          <div class="full-column-span">
            <sqtm-core-grid></sqtm-core-grid>
          </div>
          @if (hasDropdownListDefaultError$ | async) {
            <span
              class="sqtm-core-error-message"
              [attr.data-test-error-key]="'default-option-required'"
            >
              {{
                'sqtm-core.error.custom-field.dropdown-list.required-default-option.generic'
                  | translate
              }}
            </span>
          }
        </div>
      </ng-container>
    }
  </div>
</sqtm-core-creation-dialog>
